package com.sonicsw.samples.simpleXMLDocument;

import com.sonicsw.sts.xmlstream.XMLOutputStream;
import com.sonicsw.sts.xmlstream.XMLOutputStreamFactory;

public class SimpleXMLDocument {

	/**
	 * Simple example that creates and outputs a simple XML document
	 * @param args
	 */
	public static void main(String[] args) {
		try{
			XMLOutputStream stream = XMLOutputStreamFactory.create();
			stream.startDocument();
			stream.startTag("NewDocument");
			stream.addAttribute("newAttr","AttrValue");
			stream.writeTag(null,"BooleanTag",null,true);
			stream.writeTag(null,"StringTag",null,"&ab<cdr");
			stream.writeTag(null,"IntTag",null,99);
			stream.writeTag(null,"NullTag",null,null);
			stream.endDocument();
			
			System.out.println(stream.toString());
		}
		catch ( Exception e){
			e.printStackTrace();
		}
	}

}
